<?php

namespace App\Models;

use App\Traits\Models\BaseModelTrait;

class ResourceLink extends BaseModel
{
    use BaseModelTrait;

    public $hasUuid = true;
    protected $fillable = [
        'uuid',
        'resource_id',
        'collection_name',
        'name',
        'description',
        'url',
    ];
    protected $casts = [
        'uuid' => 'string',
    ];

    /* =========================================================================
    * Relationship
    * =========================================================================
    */

    /* =========================================================================
    * Scope
    * =========================================================================
    */

    /* =========================================================================
    * Accessor & Mutator
    * =========================================================================
    */

    /* =========================================================================
    * Other
    * =========================================================================
    */
}
